Last Comment Bug 842312 - Same featured apps are displayed for any category
: Same featured apps are displayed for any category
Status: VERIFIED FIXED
: regression
Product: Marketplace
Classification: Server Software
Component: Consumer Pages (show other bugs)
: 1.0
: x86_64 Windows 7
: P1 blocker (vote)
: 2013-02-28
Assigned To: Chuck Harmston [:chuck]
:
:
Mentors:
https://marketplace-dev.allizom.org/
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-18 08:32 PST by Victor Carciu
Modified: 2013-02-21 08:29 PST (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Victor Carciu 2013-02-18 08:32:24 PST
Prerequisites:
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:21.0) Gecko/20130212 Firefox/21.0

Steps to reproduce:
1.Go to MP-dev and open many different categories 
2.Observe the featured apps for every category

Expected results:
We should display the featured apps only for the opened category(or nothing if there are no featured apps in this category)

Actual results:
Same featured apps are displayed for any category(Lanyrd Mobile , Solitaire and Distant Orbit)

Please see screencast for this bug: http://screencast.com/t/uPg3FL63hn

NOTES:
Not reproducible in production
On Android and B2G we have the same issue, but the apps are different and duplicated(Lanyrd Mobile is displayed twice together with Solitaire)
Comment 1 Christopher Van Wiemeersch [:cvan] 2013-02-18 11:33:40 PST
Chuck, you were in this code - wanna take a look?
Comment 2 Chuck Harmston [:chuck] 2013-02-20 17:38:50 PST
Fixed here, with tests:
https://github.com/mozilla/zamboni/commit/7f60c245e42b5f6c6f139da5a56ac5aacd556910

Worked well in my local environment, which had good data, but not as good as on mkt-dev. We should make sure this gets validated on there before the push tomorrow.
Comment 3 Victor Carciu 2013-02-21 08:29:20 PST
Verified as fixed : http://screencast.com/t/l3ndSXWUhF

Note You need to log in before you can comment on or make changes to this bug.